<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: media_framework_automatic_tests.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('media__framework__automatic__tests_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">media_framework_automatic_tests.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>MediaServer Media framework automatic tests.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="media__framework_8hpp_source.html">media_framework.hpp</a>&quot;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &quot;<a class="el" href="Prelude_8hpp_source.html">Prelude.hpp</a>&quot;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;stdexcept&gt;</code><br />
<code>#include &lt;exception&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;gtest/gtest.h&gt;</code><br />
<code>#include &lt;chrono&gt;</code><br />
<code>#include &lt;thread&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for media_framework_automatic_tests.cpp:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="media__framework__automatic__tests_8cpp__incl.svg" width="3375" height="858"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ad7e9373ae9b5fe042e2e60775401b6fb"><td class="memItemLeft" align="right" valign="top"><a id="ad7e9373ae9b5fe042e2e60775401b6fb"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (<a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, test_start_media_stateIsNull_ifNoMediaSet)</td></tr>
<tr class="separator:ad7e9373ae9b5fe042e2e60775401b6fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf58f86652949efc116efc831d42806c"><td class="memItemLeft" align="right" valign="top"><a id="abf58f86652949efc116efc831d42806c"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (<a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, test_start_media_stateIsPlaying_ifValidUri)</td></tr>
<tr class="separator:abf58f86652949efc116efc831d42806c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af0840569dac013bcb6030cb08da4934d"><td class="memItemLeft" align="right" valign="top"><a id="af0840569dac013bcb6030cb08da4934d"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (<a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, test_start_media_stateIsNull_ifInvalidUri)</td></tr>
<tr class="separator:af0840569dac013bcb6030cb08da4934d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1425fe371113ab1f863f35960ef62b9"><td class="memItemLeft" align="right" valign="top"><a id="ae1425fe371113ab1f863f35960ef62b9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (<a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, test_stop_media_stateIsNull_ifNoMediaSet)</td></tr>
<tr class="separator:ae1425fe371113ab1f863f35960ef62b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae366ebc25fa7838ac040aca7d3b72d32"><td class="memItemLeft" align="right" valign="top"><a id="ae366ebc25fa7838ac040aca7d3b72d32"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (<a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, test_stop_media_stateIsNull_ifValidUri)</td></tr>
<tr class="separator:ae366ebc25fa7838ac040aca7d3b72d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a084fa081de0cd112eb3c0450e45a8731"><td class="memItemLeft" align="right" valign="top"><a id="a084fa081de0cd112eb3c0450e45a8731"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (<a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, test_stop_media_stateIsNull_ifInvalidUri)</td></tr>
<tr class="separator:a084fa081de0cd112eb3c0450e45a8731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f7110c1e52b26862cdf81cdbe93c92a"><td class="memItemLeft" align="right" valign="top"><a id="a4f7110c1e52b26862cdf81cdbe93c92a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (<a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, test_pause_media_stateIsNull_ifNoMediaSet)</td></tr>
<tr class="separator:a4f7110c1e52b26862cdf81cdbe93c92a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac05010898275254a37820f27a1244be0"><td class="memItemLeft" align="right" valign="top"><a id="ac05010898275254a37820f27a1244be0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (<a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, test_pause_media_stateIsPaused_ifValidUri)</td></tr>
<tr class="separator:ac05010898275254a37820f27a1244be0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2208ef7cdffe4a3b884db347fb6a91e0"><td class="memItemLeft" align="right" valign="top"><a id="a2208ef7cdffe4a3b884db347fb6a91e0"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>TEST</b> (<a class="el" href="classMediaBlackboxTest.html">MediaBlackboxTest</a>, test_pause_media_stateIsNull_ifInvalidUri)</td></tr>
<tr class="separator:a2208ef7cdffe4a3b884db347fb6a91e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>MediaServer Media framework automatic tests. </p>
<dl class="section author"><dt>Author</dt><dd>Sofia Aranda </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2022 </dd></dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_a7bb9b575703809b9fbb7ad7f723668f.html">local_app</a></li><li class="navelem"><a class="el" href="dir_81b007610a59bc1f4a5ed448a6168bbb.html">media_framework</a></li><li class="navelem"><a class="el" href="dir_8ea6d30975e2a11f449a41d297a2b829.html">test</a></li><li class="navelem"><a class="el" href="media__framework__automatic__tests_8cpp.html">media_framework_automatic_tests.cpp</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
